Latest
curl --request GET \
--url https://api.themoviedb.org/3/movie/latest \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.themoviedb.org/3/movie/latest"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.themoviedb.org/3/movie/latest', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"adult": false,
"backdrop_path": null,
"belongs_to_collection": null,
"budget": 0,
"genres": [
{
"id": 99,
"name": "Documentary"
}
],
"homepage": "",
"id": 1424480,
"imdb_id": null,
"origin_country": [
"GB"
],
"original_language": "en",
"original_title": "Signpost",
"overview": "Illustrates the reconstruction and electrification of the main railway line between Manchester and Sheffield. Showing the plan for the modernisation and re-equipping of British Railways. This film was produced for televising by the BBC during the evening that the plan was debated in parliament.",
"popularity": 0,
"poster_path": null,
"production_companies": [
{
"id": 52835,
"logo_path": null,
"name": "British Transport Films",
"origin_country": "GB"
}
],
"production_countries": [
{
"iso_3166_1": "GB",
"name": "United Kingdom"
}
],
"release_date": "1955-01-01",
"revenue": 0,
"runtime": 5,
"spoken_languages": [
{
"english_name": "English",
"iso_639_1": "en",
"name": "English"
}
],
"status": "Released",
"tagline": "",
"title": "Signpost",
"video": false,
"vote_average": 0,
"vote_count": 0
}Latest
This endpoint get the details of the latest movie.
GET
/
3
/
movie
/
latest
Latest
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
200 - application/json
Latest
Example:
false
Example:
0
Show child attributes
Show child attributes
Example:
[{ "id": 99, "name": "Documentary" }]
Example:
""
Example:
1424480
Example:
["GB"]
Example:
"en"
Example:
"Signpost"
Example:
"Illustrates the reconstruction and electrification of the main railway line between Manchester and Sheffield. Showing the plan for the modernisation and re-equipping of British Railways. This film was produced for televising by the BBC during the evening that the plan was debated in parliament."
Example:
0
Show child attributes
Show child attributes
Example:
[
{
"id": 52835,
"logo_path": null,
"name": "British Transport Films",
"origin_country": "GB"
}
]
Show child attributes
Show child attributes
Example:
[
{
"iso_3166_1": "GB",
"name": "United Kingdom"
}
]
Example:
"1955-01-01"
Example:
0
Example:
5
Show child attributes
Show child attributes
Example:
[
{
"english_name": "English",
"iso_639_1": "en",
"name": "English"
}
]
Example:
"Released"
Example:
""
Example:
"Signpost"
Example:
false
Example:
0
Example:
0